/*********************************************************
 * wizard.h
 *
 * Copyright (c) Stefan Hellkvist
 *
 * The functions every wizard should implement
 * See elasticWizard.c for an example of an implementation
 *********************************************************/

#ifndef WIZARD_H
#define WIZARD_H

#include "pattern.h"

typedef enum { ALPHA, ALPHA_CAPITAL, ALPHA_POLISH, ALPHA_EXT, NUMERAL, NUMERAL_EXT } BANK;
/* ce the enumeration reflects the order of the models in models.h */

BANK getBank();
void setBank( BANK b );
void initWizard();
Pattern FAR *doallpreprocessing( Pattern FAR *p );
unsigned char recognize( Pattern FAR *p );
unsigned char recognizeMore( Pattern FAR *p, BANK b );  /* continues recognition on another banks */

/*ce-new2*
unsigned char getInputAlternative();
void clearInputAlternative();
*ce-new2-end */


#endif
