/*********************************************************
 *
 * utility functions
 *
 * Copyright (c) 2001 Christian Ensel
 *
 *********************************************************/

#ifndef UTIL_H
#define UTIL_H

/*
extended version of LibSelWindowExt()
- automatically calculates width,
- able to center window on x and/or y axis (just set x and/or y to -1)
- displays a menu title,
- allows rtv==null (returns the selected line nr)
*/
byte SelWindowExt2(int x, int y, char *title, byte sel, byte *items, byte *rtv );



/*tell whether secret mode is active*/
bool inSecretMode();

#define  CURRENT_FILE_MODE ( inSecretMode()? FILE_SECRET_MODE : FILE_OPEN_MODE )



/* gets current time, daylight-saving is taken into account */
void getTime(int *h, int *m, int *s);

/* gets current date, daylight-saving is taken into account */
void getDate(word *y, int *m, int *d);

/*#define TEST. /* activate latest code for V3.2 (in whole PVMerlin) */


#endif